Subject: Re: [PATCH] Allow HTTP proxy to be overridden in config

From: Sam Vilain <[email-masked]>
Date: Tue, 04 Dec 2007 22:22:46 +1300

Junio C Hamano wrote:
>> Subject: [PATCH] Add remote.<name>.proxy
>> As well as allowing a default proxy option, allow it to be set
>> per-remote.
> 
> Thanks.
> 
> I was very tempted to rename them to remote.*.httpproxy, but ended up
> keeping the name of the variable.  We might want to allow tunnelling the
> git native transport over the named proxy when remote.*.url is native
> transport.

Also, it controls proxy for all of the curl-based git transports, not
just http.

Sam.